// This is an example of a lifecycle task that crosses build boundaries defined in the umbrella build.

tasks.register('info') {
    doLast {
        def buildVersion = System.properties['buildVersion']
        println "RuoYi-Vue $buildVersion"
    }
}

tasks.register('dist', Copy) {
    into("$rootDir/dist")
    project(':ruoyi-admin') {
        from(tasks['bootJar'])
    }
}
